# ~/.bashrc
# If not running interactively, don't do anything
[[ $- != *i* ]] && return

[[ -f ~/.welcome_screen ]] && . ~/.welcome_screen

if ! shopt -oq posix; then
  if [ -f /usr/share/bash-completion/bash_completion ]; then
    . /usr/share/bash-completion/bash_completion
  elif [ -f /etc/bash_completion ]; then
    . /etc/bash_completion
  fi
fi

[[ "$(whoami)" = "root" ]] && return

[[ -z "$FUNCNEST" ]] && export FUNCNEST=100          # limits recursive functions, see 'man bash'

## Use the up and down arrow keys for finding a command in history
## (you can write some initial letters of the command first).
bind '"\e[A":history-search-backward'
bind '"\e[B":history-search-forward'

################################################################################
## Some generally useful functions.
## Consider uncommenting aliases below to start using these functions.
#------------------------------------------------------------

## Aliases for the functions above.
## Uncomment an alias if you want to use it.
##

#alias ef='_open_files_for_editing'     # 'ef' opens given file(s) for editing
# alias pacdiff=_Pacdiff
alias checkin='_CheckInternetConnection'
alias vb='cd ~/git/joelchrono12.ml/_posts/ && nvim $(/usr/bin/ls *.md | sort -r | head -n 1)'
alias ls='exa -al --color=always --group-directories-first --icons'
alias la='exa -a  --color=always'
alias l.='exa -a | grep "^\."'  
alias ll='exa -l  --color=always --icons'
alias bashrc='v ~/.bashrc & exit'
alias rclua='v ~/.config/awesome/rc.lua & exit'
alias spectrwmconf='v ~/.spectrwm.conf & exit'
alias ..='cd ..'
alias .2='cd ../..'
alias .3='cd ../../..'
alias .4='cd ../../../..'
alias xin='sudo apt install'
alias xup='sudo apt update && sudo apt upgrade'
alias xun='sudo apt remove'
alias xs='apt search'
alias sysinfo='inxi -Frxz'
alias cp='cp -i'
alias rm='rm -i'
alias df='df -h'
alias v='nvim'
alias drag='dragon-drag-and-drop'
alias rad='radicale --storage-filesystem-folder .var/lib/radicale/collections/'
alias site='cd ~/git/joelchrono12.ml'
alias zzz='systemctl suspend'
alias gmg='git merge'
alias gco='git checkout'
alias gcm='git commit'
alias gb='git branch'
alias cleandwm='make clean && rm -f config.h && git reset --hard origin/master'
alias casawifi='nmcli device wifi connect INFINITUMIVSL_2.4'

# alias picom='picom --experimental-backends --backend glx --blur-method 'dual_kawase' --blur-strength 6 & disown'
alias ssh='TERM=xterm-256color ssh'

export PATH=$PATH:$HOME/bin:$HOME/.local/bin:$HOME/.config/spectrwm/scripts:$HOME/.emacs.d/bin/
#export MANPAGER="nvim -c 'set ft=man' -"
export GTK2_RC_FILES="$XDG_CONFIG_HOME"/gtk-2.0/gtkrc
#source $HOME/.config/bash-config/bashrc.bash
eval "$(starship init bash)"

neofetch
################################################################################
# Install Ruby Gems to ~/gems
export PATH="$HOME/.local/share/gem/ruby/3.0.0/bin:$PATH"
export EDITOR='nvim'
export GOBIN="$HOME/go/bin"
export GOPATH="$HOME/go"
export PATH="$PATH:$GOBIN"
#radicale --storage-filesystem-folder=~/.var/lib/radicale/collections &
export _JAVA_AWT_WM_NONREPARENTING=1
source /home/chrono/.config/broot/launcher/bash/br

# Install Ruby Gems to ~/gems
export GEM_HOME="$HOME/gems"
export PATH="$HOME/gems/bin:$PATH"
